org.apache.cassandra.tools

## Class NodeCmd

- java.lang.Object
- - org.apache.cassandra.tools.NodeCmd

-     public class NodeCmd
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NodeCmd(NodeProbe probe)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `main(java.lang.String[] args)`
    `void` | `predictConsistency(java.lang.Integer replicationFactor, java.lang.Integer timeAfterWrite, java.lang.Integer numVersions, java.lang.Float percentileLatency, java.io.PrintStream output)`
    `void` | `printClusterDescription(java.io.PrintStream outs, java.lang.String host)` Print the name, snitch, partitioner and schema version(s) of a cluster
    `void` | `printClusterStatus(java.io.PrintStream outs, java.lang.String keyspace, boolean resolveIp)` Writes a table of cluster-wide node information to a PrintStream
    `void` | `printColumnFamilyStats(java.io.PrintStream outs, boolean ignoreMode, java.lang.String[] filterList)`
    `void` | `printCompactionStats(java.io.PrintStream outs)`
    `void` | `printCompactionThreshold(java.io.PrintStream outs, java.lang.String ks, java.lang.String cf)` Print the compaction threshold
    `void` | `printCompactionThroughput(java.io.PrintStream outs)` Print the compaction throughput
    `void` | `printInfo(java.io.PrintStream outs, org.apache.cassandra.tools.NodeCmd.ToolCommandLine cmd)` Write node information.
    `void` | `printNetworkStats(java.net.InetAddress addr, java.io.PrintStream outs)`
    `void` | `printReleaseVersion(java.io.PrintStream outs)`
    `void` | `printRemovalStatus(java.io.PrintStream outs)`
    `void` | `printRing(java.io.PrintStream outs, java.lang.String keyspace)` Write a textual representation of the Cassandra ring.
    `void` | `printStreamThroughput(java.io.PrintStream outs)` Print the stream throughput
    `void` | `printThreadPoolStats(java.io.PrintStream outs)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NodeCmd

          public NodeCmd(NodeProbe probe)

  - ### Method Detail

    - #### printRing

          public void printRing(java.io.PrintStream outs,
                       java.lang.String keyspace)

      Write a textual representation of the Cassandra ring.
      Parameters:
        `outs` - the stream to write to

    - #### printClusterStatus

          public void printClusterStatus(java.io.PrintStream outs,
                                java.lang.String keyspace,
                                boolean resolveIp)
                                  throws java.net.UnknownHostException

      Writes a table of cluster-wide node information to a PrintStream
      Throws:
        `java.net.UnknownHostException`

    - #### printThreadPoolStats

          public void printThreadPoolStats(java.io.PrintStream outs)

    - #### printInfo

          public void printInfo(java.io.PrintStream outs,
                       org.apache.cassandra.tools.NodeCmd.ToolCommandLine cmd)

      Write node information.
      Parameters:
        `outs` - the stream to write to

    - #### printReleaseVersion

          public void printReleaseVersion(java.io.PrintStream outs)

    - #### printNetworkStats

          public void printNetworkStats(java.net.InetAddress addr,
                               java.io.PrintStream outs)

    - #### printCompactionStats

          public void printCompactionStats(java.io.PrintStream outs)

    - #### printCompactionThreshold

          public void printCompactionThreshold(java.io.PrintStream outs,
                                      java.lang.String ks,
                                      java.lang.String cf)

      Print the compaction threshold
      Parameters:
        `outs` - the stream to write to

    - #### printCompactionThroughput

          public void printCompactionThroughput(java.io.PrintStream outs)

      Print the compaction throughput
      Parameters:
        `outs` - the stream to write to

    - #### printStreamThroughput

          public void printStreamThroughput(java.io.PrintStream outs)

      Print the stream throughput
      Parameters:
        `outs` - the stream to write to

    - #### printClusterDescription

          public void printClusterDescription(java.io.PrintStream outs,
                                     java.lang.String host)

      Print the name, snitch, partitioner and schema version(s) of a cluster
      Parameters:
        `outs` - Output stream
        `host` - Server address

    - #### printColumnFamilyStats

          public void printColumnFamilyStats(java.io.PrintStream outs,
                                    boolean ignoreMode,
                                    java.lang.String[] filterList)

    - #### printRemovalStatus

          public void printRemovalStatus(java.io.PrintStream outs)

    - #### predictConsistency

          public void predictConsistency(java.lang.Integer replicationFactor,
                                java.lang.Integer timeAfterWrite,
                                java.lang.Integer numVersions,
                                java.lang.Float percentileLatency,
                                java.io.PrintStream output)

    - #### main

          public static void main(java.lang.String[] args)
                           throws java.io.IOException,
                                  java.lang.InterruptedException,
                                  ConfigurationException,
                                  org.apache.commons.cli.ParseException

      Throws:
        `java.io.IOException`
        `java.lang.InterruptedException`
        `ConfigurationException`
        `org.apache.commons.cli.ParseException`

Copyright © 2014 The Apache Software Foundation